List Invoice Batches
get
/public/v1/invoice-batchespage[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of InvoiceBatchResource
dataobject[]required▶Show 6 child attributesHide child attributes
idstringrequiredExample:b1a2t3c4-f5a6-47b8-9c0d-1e2f3a4b5c6dreferencestringrequiredExample:BATCH-2024-001statusenum<string>requiredAvailable options:draftfinalisedprocessingqueuedinvoice_sending_behaviourstringrequiredExample:send_allfinalised_atstring | nullrequiredExample:2024-01-15T10:30:00+00:00created_atstringrequiredExample:2024-01-15T10:30:00+00:00
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error